org.eclnt.jsfserver.elements.componentnodes

## Class SPANGRIDCOLNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.SPANGRIDCOLNode

- All Implemented Interfaces:
    java.io.Serializable

      public class SPANGRIDCOLNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SPANGRIDCOLNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SPANGRIDCOLNode` | `bindAccessiblename(IDynamicContentBindingObject value)`
    `SPANGRIDCOLNode` | `bindAlign(IDynamicContentBindingObject value)`
    `SPANGRIDCOLNode` | `bindAvoidselection(IDynamicContentBindingObject value)`
    `SPANGRIDCOLNode` | `bindBackground(IDynamicContentBindingObject value)`
    `SPANGRIDCOLNode` | `bindBgpaint(IDynamicContentBindingObject value)`
    `SPANGRIDCOLNode` | `bindColumnresizerbackground(IDynamicContentBindingObject value)`
    `SPANGRIDCOLNode` | `bindColumnresizingenabled(IDynamicContentBindingObject value)`
    `SPANGRIDCOLNode` | `bindComment(IDynamicContentBindingObject value)`
    `SPANGRIDCOLNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `SPANGRIDCOLNode` | `bindFocusable(IDynamicContentBindingObject value)`
    `SPANGRIDCOLNode` | `bindFont(IDynamicContentBindingObject value)`
    `SPANGRIDCOLNode` | `bindForeground(IDynamicContentBindingObject value)`
    `SPANGRIDCOLNode` | `bindPersistid(IDynamicContentBindingObject value)`
    `SPANGRIDCOLNode` | `bindRendered(IDynamicContentBindingObject value)`
    `SPANGRIDCOLNode` | `bindSearchenabled(IDynamicContentBindingObject value)`
    `SPANGRIDCOLNode` | `bindSortenabled(IDynamicContentBindingObject value)`
    `SPANGRIDCOLNode` | `bindSortreference(IDynamicContentBindingObject value)`
    `SPANGRIDCOLNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `SPANGRIDCOLNode` | `bindText(IDynamicContentBindingObject value)`
    `SPANGRIDCOLNode` | `bindTooltip(IDynamicContentBindingObject value)`
    `SPANGRIDCOLNode` | `bindWidth(IDynamicContentBindingObject value)`
    `SPANGRIDCOLNode` | `setAccessiblename(java.lang.String value)`
    `SPANGRIDCOLNode` | `setAlign(java.lang.String value)`
    `SPANGRIDCOLNode` | `setAttributemacro(java.lang.String value)`
    `SPANGRIDCOLNode` | `setAvoidselection(boolean value)`
    `SPANGRIDCOLNode` | `setAvoidselection(java.lang.String value)`
    `SPANGRIDCOLNode` | `setBackground(java.lang.String value)`
    `SPANGRIDCOLNode` | `setBgpaint(java.lang.String value)`
    `SPANGRIDCOLNode` | `setColumnresizerbackground(java.lang.String value)`
    `SPANGRIDCOLNode` | `setColumnresizingenabled(boolean value)`
    `SPANGRIDCOLNode` | `setColumnresizingenabled(java.lang.String value)`
    `SPANGRIDCOLNode` | `setComment(java.lang.String value)`
    `SPANGRIDCOLNode` | `setConfiginfo(java.lang.String value)`
    `SPANGRIDCOLNode` | `setFocusable(boolean value)`
    `SPANGRIDCOLNode` | `setFocusable(java.lang.String value)`
    `SPANGRIDCOLNode` | `setFont(java.lang.String value)`
    `SPANGRIDCOLNode` | `setForeground(java.lang.String value)`
    `SPANGRIDCOLNode` | `setId(java.lang.String value)`
    `SPANGRIDCOLNode` | `setPersistid(java.lang.String value)`
    `SPANGRIDCOLNode` | `setReference(java.lang.String value)`
    `SPANGRIDCOLNode` | `setRendered(boolean value)`
    `SPANGRIDCOLNode` | `setRendered(java.lang.String value)`
    `SPANGRIDCOLNode` | `setSearchenabled(boolean value)`
    `SPANGRIDCOLNode` | `setSearchenabled(java.lang.String value)`
    `SPANGRIDCOLNode` | `setSortenabled(boolean value)`
    `SPANGRIDCOLNode` | `setSortenabled(java.lang.String value)`
    `SPANGRIDCOLNode` | `setSortreference(java.lang.String value)`
    `SPANGRIDCOLNode` | `setStylevariant(java.lang.String value)`
    `SPANGRIDCOLNode` | `setText(java.lang.String value)`
    `SPANGRIDCOLNode` | `setTooltip(java.lang.String value)`
    `SPANGRIDCOLNode` | `setWidth(int value)`
    `SPANGRIDCOLNode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SPANGRIDCOLNode

          public SPANGRIDCOLNode()

  - ### Method Detail

    - #### setId

          public SPANGRIDCOLNode setId(java.lang.String value)

    - #### setAccessiblename

          public SPANGRIDCOLNode setAccessiblename(java.lang.String value)

    - #### bindAccessiblename

          public SPANGRIDCOLNode bindAccessiblename(IDynamicContentBindingObject value)

    - #### setAlign

          public SPANGRIDCOLNode setAlign(java.lang.String value)

    - #### bindAlign

          public SPANGRIDCOLNode bindAlign(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public SPANGRIDCOLNode setAttributemacro(java.lang.String value)

    - #### setAvoidselection

          public SPANGRIDCOLNode setAvoidselection(java.lang.String value)

    - #### bindAvoidselection

          public SPANGRIDCOLNode bindAvoidselection(IDynamicContentBindingObject value)

    - #### setAvoidselection

          public SPANGRIDCOLNode setAvoidselection(boolean value)

    - #### setBackground

          public SPANGRIDCOLNode setBackground(java.lang.String value)

    - #### bindBackground

          public SPANGRIDCOLNode bindBackground(IDynamicContentBindingObject value)

    - #### setBgpaint

          public SPANGRIDCOLNode setBgpaint(java.lang.String value)

    - #### bindBgpaint

          public SPANGRIDCOLNode bindBgpaint(IDynamicContentBindingObject value)

    - #### setColumnresizerbackground

          public SPANGRIDCOLNode setColumnresizerbackground(java.lang.String value)

    - #### bindColumnresizerbackground

          public SPANGRIDCOLNode bindColumnresizerbackground(IDynamicContentBindingObject value)

    - #### setColumnresizingenabled

          public SPANGRIDCOLNode setColumnresizingenabled(java.lang.String value)

    - #### bindColumnresizingenabled

          public SPANGRIDCOLNode bindColumnresizingenabled(IDynamicContentBindingObject value)

    - #### setColumnresizingenabled

          public SPANGRIDCOLNode setColumnresizingenabled(boolean value)

    - #### setComment

          public SPANGRIDCOLNode setComment(java.lang.String value)

    - #### bindComment

          public SPANGRIDCOLNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public SPANGRIDCOLNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public SPANGRIDCOLNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setFocusable

          public SPANGRIDCOLNode setFocusable(java.lang.String value)

    - #### bindFocusable

          public SPANGRIDCOLNode bindFocusable(IDynamicContentBindingObject value)

    - #### setFocusable

          public SPANGRIDCOLNode setFocusable(boolean value)

    - #### setFont

          public SPANGRIDCOLNode setFont(java.lang.String value)

    - #### bindFont

          public SPANGRIDCOLNode bindFont(IDynamicContentBindingObject value)

    - #### setForeground

          public SPANGRIDCOLNode setForeground(java.lang.String value)

    - #### bindForeground

          public SPANGRIDCOLNode bindForeground(IDynamicContentBindingObject value)

    - #### setPersistid

          public SPANGRIDCOLNode setPersistid(java.lang.String value)

    - #### bindPersistid

          public SPANGRIDCOLNode bindPersistid(IDynamicContentBindingObject value)

    - #### setReference

          public SPANGRIDCOLNode setReference(java.lang.String value)

    - #### setRendered

          public SPANGRIDCOLNode setRendered(java.lang.String value)

    - #### bindRendered

          public SPANGRIDCOLNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public SPANGRIDCOLNode setRendered(boolean value)

    - #### setSearchenabled

          public SPANGRIDCOLNode setSearchenabled(java.lang.String value)

    - #### bindSearchenabled

          public SPANGRIDCOLNode bindSearchenabled(IDynamicContentBindingObject value)

    - #### setSearchenabled

          public SPANGRIDCOLNode setSearchenabled(boolean value)

    - #### setSortenabled

          public SPANGRIDCOLNode setSortenabled(java.lang.String value)

    - #### bindSortenabled

          public SPANGRIDCOLNode bindSortenabled(IDynamicContentBindingObject value)

    - #### setSortenabled

          public SPANGRIDCOLNode setSortenabled(boolean value)

    - #### setSortreference

          public SPANGRIDCOLNode setSortreference(java.lang.String value)

    - #### bindSortreference

          public SPANGRIDCOLNode bindSortreference(IDynamicContentBindingObject value)

    - #### setStylevariant

          public SPANGRIDCOLNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public SPANGRIDCOLNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setText

          public SPANGRIDCOLNode setText(java.lang.String value)

    - #### bindText

          public SPANGRIDCOLNode bindText(IDynamicContentBindingObject value)

    - #### setTooltip

          public SPANGRIDCOLNode setTooltip(java.lang.String value)

    - #### bindTooltip

          public SPANGRIDCOLNode bindTooltip(IDynamicContentBindingObject value)

    - #### setWidth

          public SPANGRIDCOLNode setWidth(java.lang.String value)

    - #### bindWidth

          public SPANGRIDCOLNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public SPANGRIDCOLNode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.